<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LWLANProfile StructType
 * @subpackage Structs
 */
class LWLANProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The ssid
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ssid;
    /**
     * The frequencyBand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $frequencyBand;
    /**
     * The userModifiable
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userModifiable;
    /**
     * The authMethod
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $authMethod;
    /**
     * The userName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userName;
    /**
     * The password
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $password;
    /**
     * The pskPassphrase
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pskPassphrase;
    /**
     * The wepKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $wepKey;
    /**
     * The passwordDescription
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $passwordDescription;
    /**
     * The networkAccessProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $networkAccessProfile;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LWLANProfile
     * @uses LWLANProfile::setName()
     * @uses LWLANProfile::setDescription()
     * @uses LWLANProfile::setSsid()
     * @uses LWLANProfile::setFrequencyBand()
     * @uses LWLANProfile::setUserModifiable()
     * @uses LWLANProfile::setAuthMethod()
     * @uses LWLANProfile::setUserName()
     * @uses LWLANProfile::setPassword()
     * @uses LWLANProfile::setPskPassphrase()
     * @uses LWLANProfile::setWepKey()
     * @uses LWLANProfile::setPasswordDescription()
     * @uses LWLANProfile::setNetworkAccessProfile()
     * @uses LWLANProfile::setUuid()
     * @param string $name
     * @param string $description
     * @param string $ssid
     * @param string $frequencyBand
     * @param string $userModifiable
     * @param string $authMethod
     * @param string $userName
     * @param string $password
     * @param string $pskPassphrase
     * @param string $wepKey
     * @param string $passwordDescription
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $networkAccessProfile
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $ssid = null, $frequencyBand = null, $userModifiable = null, $authMethod = null, $userName = null, $password = null, $pskPassphrase = null, $wepKey = null, $passwordDescription = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $networkAccessProfile = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setSsid($ssid)
            ->setFrequencyBand($frequencyBand)
            ->setUserModifiable($userModifiable)
            ->setAuthMethod($authMethod)
            ->setUserName($userName)
            ->setPassword($password)
            ->setPskPassphrase($pskPassphrase)
            ->setWepKey($wepKey)
            ->setPasswordDescription($passwordDescription)
            ->setNetworkAccessProfile($networkAccessProfile)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get ssid value
     * @return string|null
     */
    public function getSsid()
    {
        return $this->ssid;
    }
    /**
     * Set ssid value
     * @param string $ssid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setSsid($ssid = null)
    {
        $this->ssid = $ssid;
        return $this;
    }
    /**
     * Get frequencyBand value
     * @return string|null
     */
    public function getFrequencyBand()
    {
        return $this->frequencyBand;
    }
    /**
     * Set frequencyBand value
     * @param string $frequencyBand
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setFrequencyBand($frequencyBand = null)
    {
        $this->frequencyBand = $frequencyBand;
        return $this;
    }
    /**
     * Get userModifiable value
     * @return string|null
     */
    public function getUserModifiable()
    {
        return $this->userModifiable;
    }
    /**
     * Set userModifiable value
     * @param string $userModifiable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setUserModifiable($userModifiable = null)
    {
        $this->userModifiable = $userModifiable;
        return $this;
    }
    /**
     * Get authMethod value
     * @return string|null
     */
    public function getAuthMethod()
    {
        return $this->authMethod;
    }
    /**
     * Set authMethod value
     * @param string $authMethod
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setAuthMethod($authMethod = null)
    {
        $this->authMethod = $authMethod;
        return $this;
    }
    /**
     * Get userName value
     * @return string|null
     */
    public function getUserName()
    {
        return $this->userName;
    }
    /**
     * Set userName value
     * @param string $userName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setUserName($userName = null)
    {
        $this->userName = $userName;
        return $this;
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $password
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setPassword($password = null)
    {
        $this->password = $password;
        return $this;
    }
    /**
     * Get pskPassphrase value
     * @return string|null
     */
    public function getPskPassphrase()
    {
        return $this->pskPassphrase;
    }
    /**
     * Set pskPassphrase value
     * @param string $pskPassphrase
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setPskPassphrase($pskPassphrase = null)
    {
        $this->pskPassphrase = $pskPassphrase;
        return $this;
    }
    /**
     * Get wepKey value
     * @return string|null
     */
    public function getWepKey()
    {
        return $this->wepKey;
    }
    /**
     * Set wepKey value
     * @param string $wepKey
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setWepKey($wepKey = null)
    {
        $this->wepKey = $wepKey;
        return $this;
    }
    /**
     * Get passwordDescription value
     * @return string|null
     */
    public function getPasswordDescription()
    {
        return $this->passwordDescription;
    }
    /**
     * Set passwordDescription value
     * @param string $passwordDescription
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setPasswordDescription($passwordDescription = null)
    {
        $this->passwordDescription = $passwordDescription;
        return $this;
    }
    /**
     * Get networkAccessProfile value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getNetworkAccessProfile()
    {
        return $this->networkAccessProfile;
    }
    /**
     * Set networkAccessProfile value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $networkAccessProfile
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setNetworkAccessProfile(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $networkAccessProfile = null)
    {
        $this->networkAccessProfile = $networkAccessProfile;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LWLANProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
